Altiris®
ImageExplorer 6.8 SP1
Help

Notice

Altiris® ImageExplorer 6.8 SP1 Help

© 2006 Altiris, Inc. All rights reserved.

Document Date: December 18, 2006

Information in this document: (i) is provided for informational purposes only with respect to products of Altiris or its subsidiaries ("Products"), (ii) represents Altiris' views as of the date of publication of this document, (iii) is subject to change without notice (for the latest documentation, visit our Web site at www.altiris.com/Support), and (iv) should not be construed as any commitment by Altiris. Except as provided in Altiris' license agreement governing its Products, ALTIRIS ASSUMES NO LIABILITY WHATSOEVER AND DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTIES RELATING TO THE USE OF ANY PRODUCTS, INCLUDING WITHOUT LIMITATION, WARRANTIES OF FITNESS FOR A PARTICULAR PURPOSE, MERCHANTABILITY, OR INFRINGEMENT OF ANY THIRD-PARTY INTELLECTUAL PROPERTY RIGHTS. Altiris assumes no responsibility for any errors or omissions contained in this document, and Altiris specifically disclaims any and all liabilities and/or obligations for any claims, suits or damages arising in connection with the use of, reliance upon, or dissemination of this document, and/or the information contained herein.

Altiris may have patents or pending patent applications, trademarks, copyrights, or other intellectual property rights that relate to the Products referenced herein. The furnishing of this document and other materials and information does not provide any license, express or implied, by estoppel or otherwise, to any foregoing intellectual property rights.

No part of this document may be reproduced, stored in a retrieval system, or transmitted in any form or by any means without the express written consent of Altiris, Inc.

Customers are solely responsible for assessing the suitability of the Products for use in particular applications or environments. Products are not intended for use in medical, life saving, life sustaining, critical control or safety systems, or in nuclear facility applications.

*All other names or marks may be claimed as trademarks of their respective companies.

© 2006 Altiris, Inc. All rights reserved.


Using ImageExplorer

With the ImageExplorer running, open the image file you want to view or modify by selecting Files > Open from the program menu bar.

Note

Older image files created with IBMaster.exe instead of the current RDeploy.exe cannot be modified with the version of ImageExplorer that ships with Deployment Solution 5.6 or higher. However, image files created with IBMaster can be viewed and files can be extracted. The ImageExplorer will always display the files created with IBMaster as Read-only even when the file attributes are Read-write. To modify older image files you will need to use the version of Altiris ImageExplorer that ships with the earlier versions of Deployment Solution.

See also: View Properties, Add New Files, and Extract a Folder.


View Properties

After opening an image file with ImageExplorer, basic information about the image file and its elements can be viewed by selecting a file or volume (partition) name and clicking Properties. You can open the properties page for an image file, volume, or file by right-clicking and selecting Properties, clicking File > Properties, or typing Alt-Enter. Depending on the type of image element, a property page opens with the appropriate tabs:


General Properties for an Image File

This page displays data for image files. After selecting Properties for a selected image, click the General tab to view the image items and additional property data, such as size, location, and attributes.

The Image property page includes the name of the image file and its associated image data. Example: The Size field displays the amount of room that the image used on the hard drive of the source computer. The Size on disk field displays the actual size of the compressed image file before it is deployed.

You can modify the password of the image file in this dialog box.


General Properties for a Volume

This page displays data for a volume. After selecting Properties for a selected folder in an image file, click the General tab to view its property data, such as size, location, and attributes.


General Properties for a Folder

This page displays data for a folder. After selecting Properties for a selected file in an image, click the General tab to view its included files and additional property data, such as size, location, and attributes.


General Properties for Files

This page displays data for files. After selecting Properties for a selected folder in an image file, click the General tab to view its included files and additional property data, such as size, location, and attributes.


Description Properties for an Image

This page displays the constituent volumes within the image file. It provides a count of the volumes in the image and lists the name of each volume in the Volumes pane. If the image file has Read-write access, you can modify the image description.


Disk Partition Properties

The Miscellaneous property page provides a comprehensive list of system attributes for each volume in the image file. It includes volume data and statistics, including data imported from the partition table.


Open a File

To open a file in an image, double-click the file in the Details pane of the ImageExplorer or right-click and select Open. The file opens with its associated program. If no associated program is located, an Open with dialog box displays, allowing the user to select and associate a program for the file.

Note

You can also associate a file with a program by right-clicking the file and selecting the Open with command.

The Quick open feature lets you select a default program to open files without associated programs (Microsoft Notepad is the default program). You can change the default program for the Quick Open feature by clicking View > Settings and editing the Open with program box.

See also: Print a Fileand Settings.


Opening Split Image Files

If an image is too large or if you are trying to meet size restrictions to store an image (such as dividing image files to 600 MB to fit on multiple CDs), then you can use the features in RapiDeploy to split the image file into multiple files. When editing, ImageExplorer will keep track of these split image files and will prompt you to locate any additional linked image files not stored in the same directory.


Find Missing Split Image Files

If multiple files from a split image are kept in different folders or on separate CDs, then this dialog box will open to help you locate the missing split image files. Enter a path in the field or browse to the missing files. ImageExplore keeps track of all files in a split image and will prompt you for any missing split image files if they are not located in the same folder.


Add New Files

1. Open Altiris ImageExplorer.

2. Select File > Open. Select an image file.

3. Click OK.

4. Right-click the preferred volume or folder in the image and select Add File. The Select Files to add dialog box appears.

Option 1:

Locate a file and click OK. The new file will now display in the image.

Option 2:

Drag a file from Windows Explorer to the selected folder or volume in an image file displayed in ImageExplorer, or copy and paste the file. If the option is selected (see the Paste / Drop operations in the Settings dialog box), a message box will appear confirming your decision to copy a file to the image file.

Note

You can access and edit text files by double-clicking the file in the Details pane of the ImageExplorer dialog box.


Convert an Image

The internal file format for images changed from file format 4 in Deployment Server version 5.5 and earlier, to file format 6 in Deployment Server 5.6 or later. File format 6 has remained the same since its release, but minor changes have been made to improve the overall format structure.

This feature lets you select any previously created image file and convert it to the current file format that RapiDeploy uses today. If the file format changes in future releases of Deployment Server, when you convert an image file, it will always be to the most current file format.

When converting image files, be aware of the following:

l If an old image has an image index (.IMX) file, then a new image index file is created.

l If an old image file is a self-extracting image, the embedded RapiDeploy code is removed and the image is restored to a .img file. You will not receive a message warning that the embedded self-extracting code was removed.

l If an old image has a password, the new image file created will not have a password. However, the user will receive a message display indicating that the password has been removed.

l File conversions may vary in length of time because ImageExplorer reads each segment in the image before converting it to the new image file. If you have large files with many segments, this process will take longer.

Field Definitions

Image File to Convert: Select the image file you want to convert.

Current segment size: By default, the segment size for RapiDeploy images is 2 GB.

Current segment count: The number of segments in the image file.

New Output Image File: Select a folder and filename for the image file you want to convert, based on the new segment size.

New segment size (MB): Select a size for image segments from the drop-down list. The list of options includes default sizes for CDs, zip drives, and more. When a file segment reaches this limit, a new segment is created until the entire image is converted.

Estimated segment count: The estimated number of segments in the file you selected to convert.

To convert an image file

1. Click File, and select Convert Image File.

2. Click Browse to navigate to a folder, and select an image file to convert.

3. Click Browse to navigate to a folder. Enter a new filename for the converted image.

4. Click the drop-down arrow and select a segment size from the list.

5. Click OK.


Create an Image Index

This feature lets you create an index file for image files so that when you copy the images to CDs, the index file, along with the first segment of the image, can give file information to RapiDeploy when restoring the image file.

Example: If you have an image with multiple segments, such as .img, .002, .003, and .004, ImageExplorer creates a table of contents at the end of segment .004, which identifies the file information for each segment of the image.

With this feature, a new index file named .imx is created. Then, as you copy the segments to CDs, you can select .img and .imx to be on the same CD. The other segments, .002, .003, and .004, can be copied to additional CDs as needed. When you use the CDs to restore an image, the first CD that contains the .img and .imx files give RapiDeploy the information needed to restore the image. This make restoring images easier because you are not required to insert the first CD, the last CD, then back to the first CD just for RapiDeploy to restore the image.

You can also index images as you create them by selecting the Make an image index (.imx) file option in RapiDeploy. See the RapiDeploy Reference Guide.

Field Definitions

Image File to Index: Select the image file that you want to index.

Output Folder for Index (optional): If you do not select a folder for the index output, the .imx file is created in the same folder as the image you selected to index.

To create an index image

1. Click File, and select Create Image Index.

2. Click Browse to navigate to a folder, and select an image file.

3. Click Browse to navigate to a folder for the index file output.

4. Click OK.


Extract a Folder

Use this feature to take a folder or file from an image and save it to an external destination folder:

1. Open Altiris ImageExplorer.

2. Select File > Open. Select an image file.

3. Click OK.

4. Select a folder in the image, right-click, and select Extract Folder. The Browse dialog box displays.

5. Select a folder on your local disk or on the network to place the extracted folder.

6. Click OK.

Note

Extracting large amounts of data and large numbers of files can take several minutes.


Find Files

To search for files or folders in an image file, enter a string or characters (alpha and numeric) in the Find what box. You can use the ? (question mark) as a variable for a single character, or use the * (asterisk) for multiple characters.

To search for a file, select the image file, volume name, or folder name from the treeview to set a search domain. You can change the search domain before clicking Find.

Field Definitions

Include folders: Select this option to include matching folders in the search results.

Include files: Select this option to include matching files in the search results.

Files and folders meeting specified search criteria are listed in the results box, organized by File Name and Location.


Filter Results

Click Filter on the Find Files dialog box to open an advanced search for files based on associated system attributes (Read-only, Hidden, System) and ImageExplorer attributes (Added, Excluded, Replaced).

Field Definitions

Find What: Enter the string or characters to find a file based on system attributes or ImageExplorer attributes of the file or folder. Click Include matching files to select files. Click Include matching folders to select folders.

Note

To search in a specific directory, select that directory in the treeview pane and open the Find dialog box.

The following attributes use three-way checkboxes with these features:

l A solid checkmark means the item must contain the attribute.

l An empty box means the item must not contain the attribute.

l A dimmed checkmark means the value is NULL and the item can either have the value or not.

Attributes: These are the system attributes of the files assigned by the operating system when the image was created.

Flags: These are the attributes assigned by ImageExplorer.


Make Self-Extracting Images

This lets you create a self-extracting file for an existing image file so you can run the executable at a client computer. This is helpful when you need to restore an image to a computer that does not have access to the Deployment Server and RapiDeploy for imaging through the network.

You can select image files that have been created with RapiDeploy, which was used to create images beginning with Deployment Server 5.6 or later. If you have images that were created with Altiris IBMaster 4.5 or earlier, you cannot use this feature. However, when you navigate to a folder to select an image, all .img files display. You can use the Convert an Imagefeature to convert the image to the latest RapiDeploy file format.

The self-extracting file is comprised of a valid image file and RapiDeploy, which is embedded into the executable. You can copy the self-extracting file to a folder or removable media and manually run it on any computer, or you can create a deployment job on the Deployment Server and distribute the self-extracting file to multiple computers.

When new versions of RapiDeploy become available through Deployment Server upgrades, you can re-make any self-extracting file by re-running Make Self-Extracting. The image file's embedded RapiDeploy code is replaced with the latest version of RapiDeploy.

This process make vary in length of time because ImageExplorer reads only the .img segment. If your file is 2 GB, then the file will take more time than if the .img segment is 700 MB.

RapiDeploy and only the first segment of the image file (.img) are combined together to create the executable that restores images. However, all other segments that make up the entire image, including the index (.imx) are required when restoring an image.

See also: See Create an Image Index.

Field Definitions

Current self-extractor type: The image file you selected is of this operating system type.

Keep original image file: Select this check box for ImageExplorer to make a self-extracting image file without affecting the original image file.

Note

If you clear this check box and the Make Self-extracting process fails, then the original image file may become damaged or corrupted, and you can no longer use the original image file to create a self-extracting file.

Image file size: The size of the current image selected.

Remove existing self-extractor: Use this option to remove the .exe code from a self extracting image. The image file will return to its original state with a .img file extension. This option is only available if the image file has self-extracting code, otherwise, this option is unavailable.

DOS: This mode uses the RapiDeploy graphical user interface to display the image file's progress while it is running.

DOS text mode: This is a text version user interface. You can view the progress bar at the bottom of the client computer's display while the image file is running.

To create a self extracting image file

1. Click File, and select Make Self-Extracting.

2. Click Browse to navigate to the location of the image file.

3. Clear Keep original image file if you want to make the original image file a self-extracting image file.

4. Select Change self-extractor type. See Field Definitions.

5. Click OK. The self extracting file is created in the same directory as the original image file. If the Not enough free space dialog appears, see Not Enough Free Space.


Not Enough Free Space

The image file you selected to make into a self-extracting file cannot be created because there is not enough free disk space. The Not enough free space dialog lets you select an alternate location to create the self-extracting file. Enter a directory path or click the Browse button to navigate to a location with more disk space. Click OK.


ImageX Sample Scripts

These are sample scripts that let Deployment Solution run ImageX imaging jobs from the Deployment Console. These sample scripts include documentation so you can put the name and location of the .WIM files.

You can use ImageX to capture several different images into a single .WIM file. You can open the sample job and specify the location of the .WIM file with the correct passwords and network locations. You can then run the job against the server, which launches the ImageX utility and captures an image of the target computer.


Print Folder Contents

You can print a list of the files and sub-folders within an image file, a volume (partition), or a folder. Depending on the options selected, you can print a report that includes the constituent files and subfolders and includes fields with the modified date, time, size, and other attributes for each file.

When printing the contents of an image file, volume, or folder, click OK to view a Print Previewof the report file.

Field Definitions

Title: Enter a title for the top of the report page.

What to print

Just this folder: Print only the files in the selected image, volume, or folder. This will not print the subfolders.

This folder and subtree: Print the files in the image, volume, or folder and all the subfolders and files.

Print excluded items: Print the files that were marked previously as Excluded.

Print < . > entries: Print an entry in each folder identified as < . > (a dot notation). Attributes and date/time properties will be saved for this hidden folder in the image file.

Fields to Print

Include modified date and time: Print the date and time that the file or folder was modified.

Include size: Print the size of the file.

Include attributes: Print the Read-only, Archive, Hidden, System, or Compressed system attributes (Read-only, System, Hidden) and the ImageExplorer attributes (Added, Excluded, Replaced).

Include file number: Print the file number associated with each file.

See also: Print a File.


Print Preview

View an online display of the print report for image files, volumes, or folders. The name of the report will appear at the top of the page with details in a table that were selected in the Print Folder Contents dialog box.

Field Definitions

Save: Click to save the report to a text file.

Lines: View the number of lines in the report.

Print: Click to print the report.


Print a File

From the ImageExplorer dialog box, you can select and print an actual file using its associated program. If your file is not associated with a program, you can associate it by selecting from a provided list of installed programs on the computer. You can also attempt a Quick print to open the file using a standard program, such as NotePad.

Field Definitions

Quick print: Click this button to run a default program to open and print the selected file. The default program is Microsoft Notepad. You can change the default program to print files using the Print With program box in the Settings dialog box.

See also: Print Folder Contentsand Open a File.


Setting a Password on an Image File

Right-click an image file and select Properties. In the Attributes section, select Password. The Set / Change Password dialog box displays.

Field Definitions

Current password: Enter current password.

New password: Enter new password.

Confirm password: Type the password again to confirm that is was correctly typed in.


Settings

You can set preferences for the Altiris ImageExplorer by clicking View > Settings. The Settings dialog box will open to set options to confirm specific operations using message boxes in the user interface, to set options for displaying items or excluding items, or to select default programs when using the Quick print (see Print a File) or Quick open (see Open a File) options.

Confirmations

Read-only Open operations: Present a confirmation message to the user when opening a file in a Read-only state, and as a result any changes cannot be saved. Example: if an image file created in RapiDeploy 4.5 or earlier is opened, it will be Read-only and any operation performed cannot be saved. As a result, when opening this file a confirmation box will appear reminding the user that the file cannot be saved.

File Overwrite operations: Present a confirmation message to the user when extracting a file from an image file and overwriting an existing file on a destination drive.

File Revert operations: Present a confirmation message when executing a Revert operation that returns the image file to its original file structure and content after replacing files.

Paste & Drop operations: Present a confirmation message when dragging a file to a new folder in an image file, when using the copy and paste operation to move files to another folder, or when using the Add New Files command.

Exclude operations: Present a confirmation message to the user when assigning the Exclude option to a file (to not distribute the selected file as part of the image). This message will appear when clicking the check box on the file or folder or selecting the Exclude operation.

Folder Overwrite operations: Present a confirmation message to the user when extracting a folder from an image file and overwriting an existing folder on a destination drive.

Display Settings

Keep help on top: Select to keep open help file on top of the ImageExplorer user interface. This lets you view the help side-by-side with the program rather than allowing it to be sent behind the ImageExplorer user interface.

Show file numbers: Display the associated file numbers in the image. In NTFS the files are numbered automatically. In FAT, EXT2, EXT3, and other file systems the files are numbered by RapiDeploy when creating the image file.

Show excluded items: Display the files marked as Excluded in the image. Files will be shown after a refreshing the screen.

Extract excluded items: Allow the Excluded files and folders to be extracted from the image file to a destination folder. This setting lets you include all files previously marked as Excluded to be saved to an external destination folder when running the Extract command.

Color added items: Select this option to mark files/folders added to the image with blue text. See Add File and Add Folder.

Color replaced items: Select this option to mark files/folders replaced to the image with magenta text. See Replace Files (available for files).

Color excluded items: Select this option to mark files and folders added to the image with red text. See Exclude.

Default Programs to Open and Print Files

These settings are default settings for the Quick Open and Quick Print options that appear with the Open with and Open features. Use to associate files to a common program, such as Microsoft Notepad.

Open with program: Set the default program to run with a selected file. The default program is Microsoft Notepad. See Open a File.

Print with program: Set the default program to print a selected file. The default program is Microsoft Notepad. See Find Files.


Split Image

This feature lets you select an image file to split (rewrite) into a new image file based on the segment size you select. While Convert an Image changes the file format of an image to be the current format used by RapiDeploy, split an image keeps the format of the original image but changes the size of its segments.

Example: If you have a 2 GB image file, and you wanted to split the image so it could fit on CDs, then you could select 650 MB or 700 MB as the new segment size and the result would be 1 image file with multiple segments. You could then copy the segments to CDs and use them to restore the image file at client computers.

When splitting image files, be aware of the following:

l If the old image is an old format image (IBMaster 4.5 or earlier), then the image cannot be split but will be converted instead. If this occurs, a message displays to verify this is what you want to do. If you proceed, all the principles of Convert and Image apply.

l If an old image has an image index (.imx) file, then a new image index file is created.

l If an old image file is a self-extracting image, the embedded RapiDeploy code remains, and the new image will contain the same version of RapiDeploy as when it was originally created. However, if the image is an old format image (IBMaster 4.5 or earlier), then the image cannot be split but will be converted instead. If you proceed, the self-extracting code is removed.

l If an old image has a password, the new image file will have the same password. However, if the old image is an old format image (IBMaster 4.5 or earlier), then the image cannot be split but will be converted instead. If you proceed, the password is removed.

Field Definitions

Image File to Split: Select the image file that you want to split.

Current segment size: By default, the segment size for RapiDeploy images is 2 GB.

Current segment count: The number of segments in the image file.

New Output Image File: Select a folder and filename for the image file you want to split.

New segment size (MB): Select a size for image segments from the drop-down list. The list of options includes default sizes for CDs, zip drives, and more. When a file segment reaches this limit, a new segment is created until the entire image is split.

Estimated segment count: The estimated number of segments in the file you selected to split, based on the new segment size.

To split an image file

1. Click File, and select Split Image File.

2. Click Browse to navigate to a folder, and select an image file to split.

3. Click Browse to navigate to a folder, and enter a new filename for the image.

4. Click the drop-down arrow, and select a segment size from the list.

5. Click OK.


Command Line Switches

This feature can be use to create Deployment Server Run Scripts or batch jobs to help you manage images from the command line. At the end of some switches, select options are listed to indicate that the additional commands are allowed.

To access the online command line options

1. From the Windows environment, select Start > Run.

2. In the Open field, enter the command CMD.

3. Enter C:\Program Files\Altiris\eXpress\Deployment Server\ (default installation path).

4. Enter imgexpl /? to display the command-line switches page.

Command line
Description

Parameters

Image files to open or operate (can be repeated, such as w2k.img, xp.img).

Switches

-register: register files types in the Windows Registry.

-unregister: unregister file types in the Windows Registry.

-add <src> <dst>: add file, folder, or volume to an image. Accepts the
<-overwrite> option. You may use wildcards when entering the source (src).

-extract <scr> <dst>: extract a file, folder, or volume from an image. Accepts the <-overwrite> and <-size> options.

-convert <dst>: convert an old format image to the current image format used by RapiDeploy. Accepts the <-overwrite> and <-size> options.

-split <dst>: split an image into new size file segments. Accepts <-overwrite> and <-size> options.

Options

-lang <lang code>: *specify the Language code for the user interface.

-silent: *do not display confirmation or errors.

-password <pwd>: *passwords for image files being opened.

-overwrite: when in silent mode, do not confirm actions.

-size <size in MB>: size of the new image segment in MB.

* Indicates the options that can be used with any command.

Process exit codes

0 Success.

2 Command line syntax error.

4 Error registering or unregistering file types.

6 Operation cancelled by the user.

8 Attempted to write to a Read-only image.

10 Invalid password.

12 Error performing an operation.

14 The Image file was not found or an error occurred opening an image.

16 The Source was not found, or an error occurred option the source.

18 The destination was not found or an error occurred opening the destination.

Examples:

l Open a W2k.img that requires the password `develop'.

C:\Program Files\Altiris\eXpress\Deployment Server\imgexpl f:\w2k.img -password develop

l Open two image files that each have different passwords, `password' and `sales'.

C:\Program Files\Altiris\eXpress\Deployment Server\imgexpl f:\w2k.img -password develop f:\w2k.img -password sales

l Add all *.txt files in e:\to the `temp' folder of the volume in slot 1 of w2k.img.

C:\Program Files\Altiris\eXpress\Deployment Server\imgexpl f:\w2k.img -password develop -add e:\*.txt 1:\temp

l Extract kernal.dll from the `Windows' folder of the volume `sys' in w2k.img to e:\dump.

C:\Program Files\Altiris\eXpress\Deployment Server\imgexpl f:\w2k.img -password develop -add e:\*.txt 1:\temp

l Convert the old format image file, w2k.img, to the new image, new2k.img, in 650 MB segments.

C:\Program Files\Altiris\eXpress\Deployment Server\imgexpl f:\w2k.img -convert f:\new2k.img -size 650


Altiris® ImageExplorer

Altiris® ImageExplorer provides features to view and edit image files. Image files are created using the RapiDeploy utility, a tool used most commonly in Deployment Solution to create and distribute hard disk image files, an IMG or EXE file containing a replication of the source computer's hard disk.

Using ImageExplorer, you can modify an image file-add or delete data files, folders and applications-before distributing and restoring its contents to a client computer. You can view properties and perform operations, such as extracting and saving files to another destination volume, or exclude files from being restored when distributing the image file to a client computer. You can also print the contents of a folder or edit a file using its associated application.

See also: Using ImageExplorer

ImageExplorer Features

l Add new files and folders

l Command line mode

l Convert images

l Create image indexes

l Extract files and folders

l Exclude (or include) volumes, folders, and files from being restored

l Find files in an image

l Open a file with its associated program and edit

l Make self-extracting images

l Print image tree structure of files, folders, and volumes

l Replace files

l Revert back to original image file contents

l Split images

l View, add, or change the image description

l View properties of files, folders, and volumes in an image

ImageExplorer User Interface

Click the ImageExplorer icon on the toolbar or select Tools > ImageExplorer. This opens the ImgExpl.exe program located in the Deployment Share.

You can open and edit image files in the native IMG file type or image files with packaged rdeploy.exe runtime versions in an EXE file type.

Altiris ImageExplorer provides the following features to view, manage, and modify the volume, folder, and file elements of an image file.

Feature
Description
Button
Access

Add File

Adds a new file to the image file. See Add New Files.

Add File is available when you right-click a volume, folder, or a file in the treeview. When you right-click on a file and select Add File, the new file is added to the same folder.

Option 1: Ctrl-A

Option 2: Select Edit > Add File

Option 3: Right-click an item and select Add File

Add Folder

Adds a new folder to the image file. Click on any item to add a folder to the container object.

Add Folder is available when you right-click a volume, folder, or a file in the treeview.

Option 1: Ctrl-D

Option 2: Select Edit > Add Folder

Option 3: Right-click an item and select Add Folder

Convert Image

Converts image files from file format 4 to the format most currently used by RapiDeploy. See Convert an Image.

Option 1: Ctrl-T

Option 2: Select File > Convert Image

Copy

Copies a file or folder from one location and lets you paste to a destination image file.

Note

Copying large amounts of data and large numbers of files between image files can take several minutes.

Option 1: Ctrl-C

Option 2: Select Edit > Copy

Option 3: Right-click an item and select Copy

Create Image Index

Creates an image index to make the process of restoring images easier. See Create an Image Index.

Option 1: Ctrl-I

Option 2: Select File > Create Image Index

Exclude

Marks volumes, folders, and files to not be included when deploying the image file to a client computers.

Note

You can also exclude a file by clicking the check box next to the file in the Details pane. The [image] icon replaces the check box.

Option 1: Del key

Option 2: Select Edit > Exclude

Option 3: Right-click a file and select Exclude File(s)

Extract

Extracts a complete volume, a folder (with its sub-folders), or a file from the image file. It lets you select a destination volume or directory to save the folders or files. See Extract a Folder.

Note

Extracting large amounts of data and large numbers of files can take several minutes.

Option 1: Ctrl-E

Option 2: Select Edit > Extract

Option 3: Right-click an item and select Extract File(s)

Find

Search for files or folders within an image file using specific names or wildcard characters. You can use ? as a variable for a single character or * (asterisk) for multiple characters. See Find Files.

Option 1: Ctrl-F

Option 2: Select Edit > Find

Option 3: Right-click a container object and select Find

Include

Allows volumes, folders, and files that were previously marked Excluded to be included in the image file when it is deployed to a client computer.

Note

You can also include a previously excluded file by clicking the [image] next to the file in the Details pane. A check box will reappear.

Option 1: Insert key

Option 2: Select Edit > Include

Option 3: Right-click an excluded item and select Include

Make Self-Extracting

Creates a self-extracting file from an existing image file. See Make Self-Extracting Images.

Option 1: Ctrl-M

Option 2: Select File > Make Self-Extracting

Open File

(available for files)

Opens a file using its associated application, if the application exists on the computer where ImageExplorer is being run.

Option 1: Double-click

Option 2: Select Edit > Open

Option 3: Right-click the file and select Open

Open File with

Lets you open a file with a selected program. If the file is already associated with a program you can simply double-click to open. Use Open file with to change the program or select the default Quick Open feature.

Note

Image files created with IBMaster 4.5 will not open. However, you can use the Convert an Image feature to convert image files to the current RapiDeploy file format.

Option 1: Double-click (if not associated)

Option 2: Select Edit > Open with

Option 3: Right-click the file and select Open with

Open Image File

Opens image files created with RDeploy.exe or IBMaster.exe. Files created with IBMaster are Read-only; however these file can be viewed and extracted. You need an older version of ImageExplorer (Deployment Solution 5.5 or earlier, or RapiDeploy 4.5 or earlier) to edit files created with IBMaster.exe.

Option 1: Ctrl-O

Option 2: Select File > Open

Paste

Places a file or folder from one location to another.

Option 1: Ctrl-V

Option 2: Select Edit > Paste

Option 3: Right-click an item and select Paste

Print

Folders: Prints the folder structure. Includes sub-folders and files with their modification date, time, and size.

Files: Prints the actual file. You must have the associated application program installed to print the file (example: MS Word to print DOC files).

See Print Folder Contents and Print a File.

Option 1: Ctrl-P

Option 2: Select File > Print

Option 3: Right-click an item and select Print

Properties

Provides general information about the folder or file, such as size, modification dates, and attributes. Properties are displayed differently for images, volumes, folders, or files. See View Properties.

Option 1: Alt-Enter

Option 2: Select File > Properties

Option 3: Right-click an item and select Properties

Replace Files
(available for files)

Provides a way to update a file in the image with a file from another source. Both files must have the same name.

Option 1: Ctrl-L

Option 2: Select Edit > Replace

Option 3: Right-click a file and select Replace File(s)

Revert
(available for files)

An undo feature for the Replace File option. This will revert a previously changed file to its original file.

Option 1: Ctrl-R

Option 2: Select Edit > Revert

Option 3: Right-click an item and select Revert File(s)

Split Image

Splits an image file of one size to be the segment size of another. See Convert an Image.

Option 1: Ctrl-S

Option 2: Select File > Split Image